POST /api/v3/route/{routeId}/meter

Adds a single meter to an existing route

AddMeterV3 Permissions: Meters (Edit)
Use this endpoint to add a meter to the end of a route. If the meter is already on another route, it will be moved to this route. For bulk meter assignment, use PUT /route/{id} instead.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
routeId Unique numeric identifier of the route integer (int32) Required

Request Body

RouteMeter
Property Description Type
displayOrder The display order for this route meter integer (int32)
meterId The identifier for the meter Required integer (int32)
Example Request Body application/json
{  "displayOrder": 1,  "meterId": 1
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

RouteResponse
Property Description Type
numberOfMeters The number of meters assigned to this route integer (int32)
routeCode The route code string
routeId The route identifier integer (int32)
routeInfo The route info string
Example Response application/json
{  "numberOfMeters": 1,  "routeCode": "string",  "routeId": 1,  "routeInfo": "string"
}
404 Not Found The requested resource was not found. Verify the ID or path is correct.